/* ширина экрана до 1279px */

@media (max-width: 1279px) {
    .header-title {
        font-size: 96px;
    }

    .catalog-wrapper {
        padding: 8px 12px;
        border-radius: 7px;
    }

    .catalog-title {
        font-size: 23px;
        -webkit-text-stroke: 0.64px;
    }

    .catalog-row {
        margin-top: 30px;
        gap: 15px
    }

    .card {
        flex-basis: calc(25% - 45px / 4);
    }

    .form {
        padding: 64px 0;
    }

    .form-wrapper {
        padding: 59px 8px 31px;
    }

    .form-text {
        font-size: 23px;
    }

    .form-btn {
        margin-top: 34px;
        padding: 10px 11px;
        font-size: 19px;
        border-width: 1.95px;
    }

    .gift {
        padding-bottom: 69px;
    }

    .gift-wrapper {
        padding: 15px 16px;
    }

    .gift-title {
        font-size: 23px;
        -webkit-text-stroke: 0.64px;
    }

    .footer-row {
        gap: 30px;
    }

    .footer-wrapper {
        padding: 8px 12px;
        border-width: 1.28px;
        border-radius: 12px;
    }

    .footer-text {
        font-size: 25px;
    }
}


/* ширина экрана до 833px */

@media (max-width: 833px) {
    body {
        background-position-y: -40vh;
        background-image: url('../img/stars-mobile.png');
    }

    .header {
        padding: 27px 0 40px;
    }

    .header-wrapper {
        justify-content: left;
    }

    .header-title {
        font-size: 36px;
    }

    .catalog {
        text-align: end;
    }

    .catalog-wrapper {
        padding: 8px 12px;
        border-radius: 7px;
    }

    .catalog-title {
        font-size: 11px;
        -webkit-text-stroke: 0px;
    }

    .catalog-row {
        margin-top: 30px;
        flex-wrap: wrap;
        justify-content: center;
        gap: 30px
    }

    .card {
        flex-basis: calc(50% - 30px / 2);
    }

    .card-modal {
        padding: 0 10px;
    }

    .card-title {
        font-size: 30px;
    }

    .card-pictures {
        width: 176px;
    }

    .card-desc {
        margin-top: 10px;
        font-size: 16px;
    }

    .card-text {
        font-size: 14px;
    }

    .form {
        padding: 64px 0;
    }

    .form-wrapper {
        width: 100%;
        padding: 9px;
        border-width: 0.5px;
        border-radius: 17px;
    }

    .form-text {
        font-size: 11px;
        -webkit-text-stroke: 0px;
    }

    .form-btn {
        display: none;
    }

    .form-row {
        display: flex;
        align-items: stretch;
        gap: 9px;
    }

    .btn-mobile {
        width: 30%;
        flex-shrink: 0;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        margin-top: 0px;
        padding: 0 6px;
        font-size: 11px;
        border-radius: 12px;
    }

    .gift {
        padding-bottom: 18px;
    }

    .gift-wrapper {
        padding: 10px 14px;
    }

    .gift-title {
        font-size: 11px;
        -webkit-text-stroke: 0px;
    }

    .gift-list {
        margin-top: 40px;
        gap: 10px;
    } 

    .footer-row {
        gap: 11px;
    }

    .footer-wrapper {
        padding: 4px;
        border-width: 0.62px;
        border-radius: 6px;
    }

    .footer-text {
        font-size: 11px;
    }
}